
import os

import Figures_results as Fr
import Figure_constants as Fc
import my_util.save_load as sl


fit_folder = "results/sam_cells_only_best"  # kraken fit
# fit_folder = "results/final_sam_dend_noise_test/"  # noise in input fit
# fit_folder = "results/final_sam2/"  # noise in input fit

figure_folder = "temp/preliminary_figures/"
pre_analysis_folder = "temp/pre_analysis/"


def main():

    for folder in (figure_folder, pre_analysis_folder):
        if not os.path.exists(folder):
            os.makedirs(folder)

    Fc.SAVE_FOLDER = figure_folder

    Fr.run_all_images(fit_folder, filter=False, pre_analysis_path=pre_analysis_folder, recalculate=True)


if __name__ == '__main__':
    main()
